Get Detailed Usage Metrics

Get detailed usage metrics for a specified period.

  • start the start date in DD-MM-YYYY format(mandatory)
  • end the end date in DD-MM-YYYY format(optional)

If end date is not provided then the period is up to the current date

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Query parameters:

  • start the start date in DD-MM-YYYY format(mandatory)
  • end the end date in DD-MM-YYYY format(optional)

If end date is not provided then the period is up to the current date

Example of a successful response

This endpoint returns a detailed count of feature usage on the API. The response is exemplified below.

{
    "image_predictions_started": 15,
    "image_predictions_finished": 15,
    "image_aois_detected": 5,
    "image_aois_calculated": 3,
    "videos_created": 5,
    "vast_videos_created": 1,
    "video_predictions_started": 5,
    "video_predictions_finished": 5,
    "video_scenes_detected": 1,
    "video_aois_detected": 2,
    "static_video_aois_calculation": 1,
    "objectives_detected": 10,
    "llm_insights_generated": 7
}

NOTE: The dates provided are pointing to 00:00 UTC time. So, if querying for dates between 01-02-2026 and 09-02-2026, the filter will query media created between midnight of the 1st of February and midnight on the 9th of February, hence all assets created on the 1st of February would be accounted for but only assets created until 23:59 of the 8th of February would be counted. To count assets predicted during the 9th of February, then the provided end date should have one additional day added to the desired date (so it would be 10-02-2026).

Query Params
string
required

The start date in format 'DD-MM-YYYY'

string

The end date in format 'DD-MM-YYYY'

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json